# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pixelmosh"
version = "3.1.0"
authors = ["charlesrocket"]
build = "build.rs"
exclude = [
    ".github",
    "codecov.yml",
    "example/delorean.png",
]
description = "PNG corrupter"
readme = "README.md"
keywords = ["glitch"]
categories = [
    "command-line-utilities",
    "multimedia::images",
]
license = "MIT"
repository = "https://github.com/charlesrocket/pixelmosh"

[profile.release]
lto = true
debug = 0
strip = true

[lib]
name = "libmosh"
path = "src/lib.rs"

[[bin]]
name = "pixelmosh"
path = "src/main.rs"
test = false

[dependencies.adw]
version = "0.2.1"
optional = true
package = "libadwaita"

[dependencies.clap]
version = "4.1"
features = ["string"]
optional = true

[dependencies.fast_image_resize]
version = "2.5"

[dependencies.glib]
version = "0.16.7"
optional = true

[dependencies.gtk]
version = "0.5"
optional = true
package = "gtk4"

[dependencies.indicatif]
version = "0.17.3"
optional = true

[dependencies.png]
version = "0.17.7"

[dependencies.rand]
version = "0.8.5"

[dependencies.rand_chacha]
version = "0.3.1"

[dev-dependencies.adler]
version = "1"

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.predicates]
version = "2"

[build-dependencies.glib-build-tools]
version = "0.16.3"

[features]
cli = [
    "dep:clap",
    "dep:indicatif",
]
default = ["cli"]
gui = [
    "dep:adw",
    "dep:glib",
    "dep:gtk",
]
